Package org.silverpeas.mobile.shared.dto.almanach

## Class CalendarEventCreationDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.almanach.CalendarEventCreationDTO

- All Implemented Interfaces:
    `Serializable`

      public class CalendarEventCreationDTO
      extends Object
      implements Serializable

  Author:
    svu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CalendarEventCreationDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<CalendarEventAttendeeDTO>` | `getAttendees()` |
    `CalendarDTO` | `getCalendar()` |
    `String` | `getDescription()` |
    `String` | `getEndDate()` |
    `String` | `getEventId()` |
    `String` | `getEventType()` |
    `String` | `getOccurrenceType()` |
    `boolean` | `getOnAllDay()` |
    `String` | `getPriority()` |
    `CalendarEventRecurrenceDTO` | `getRecurrence()` |
    `String` | `getStartDate()` |
    `String` | `getTitle()` |
    `String` | `getVisibility()` |
    `void` | `setAttendees​(List<CalendarEventAttendeeDTO> attendees)` |
    `void` | `setCalendar​(CalendarDTO calendar)` |
    `void` | `setDescription​(String description)` |
    `void` | `setEndDate​(String endDate)` |
    `void` | `setEventId​(String eventId)` |
    `void` | `setEventType​(String eventType)` |
    `void` | `setOccurrenceType​(String occurrenceType)` |
    `void` | `setOnAllDay​(boolean onAllDay)` |
    `void` | `setPriority​(String priority)` |
    `void` | `setRecurrence​(CalendarEventRecurrenceDTO recurrence)` |
    `void` | `setStartDate​(String startDate)` |
    `void` | `setTitle​(String title)` |
    `void` | `setVisibility​(String visibility)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarEventCreationDTO

          public CalendarEventCreationDTO()

  - ### Method Detail

    - #### getEventType

          public String getEventType()

    - #### setEventType

          public void setEventType​(String eventType)

    - #### getOccurrenceType

          public String getOccurrenceType()

    - #### setOccurrenceType

          public void setOccurrenceType​(String occurrenceType)

    - #### getStartDate

          public String getStartDate()

    - #### setStartDate

          public void setStartDate​(String startDate)

    - #### getEndDate

          public String getEndDate()

    - #### setEndDate

          public void setEndDate​(String endDate)

    - #### getEventId

          public String getEventId()

    - #### setEventId

          public void setEventId​(String eventId)

    - #### getCalendar

          public CalendarDTO getCalendar()

    - #### setCalendar

          public void setCalendar​(CalendarDTO calendar)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle​(String title)

    - #### getOnAllDay

          public boolean getOnAllDay()

    - #### setOnAllDay

          public void setOnAllDay​(boolean onAllDay)

    - #### getVisibility

          public String getVisibility()

    - #### setVisibility

          public void setVisibility​(String visibility)

    - #### getPriority

          public String getPriority()

    - #### setPriority

          public void setPriority​(String priority)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)

    - #### getRecurrence

          public CalendarEventRecurrenceDTO getRecurrence()

    - #### setRecurrence

          public void setRecurrence​(CalendarEventRecurrenceDTO recurrence)

    - #### getAttendees

          public List<CalendarEventAttendeeDTO> getAttendees()

    - #### setAttendees

          public void setAttendees​(List<CalendarEventAttendeeDTO> attendees)